---
page_source: https://docs.juspay.io/payout-sea/docs/integration/order-status
page_title: Order Status
---

## API Version: default


# Order Status



API is used to fetch the current status of payout created. Possible values for the order status 


| Status | Details | Action |
|---|---|---|
| READY_FOR_FULFILLMENT | Request received by Juspay | Pending |
| FULFILLMENTS_SCHEDULED | Task added to scheduler and will be picked up | Pending |
| FULFILLMENTS_FAILURE | All transaction attempts have failed | Failure |
| FULFILLMENTS_SUCCESSFUL | Fulfillment completed successfully | Success |
| FULFILLMENTS_CANCELLED | Fulfillment cancelled by merchant from Dashboard  | Failure |
| FULFILLMENTS_MANUAL_REVIEW | Any one of the Fulfillment is in MANUAL_REVIEW | To be reviewed with bank |
## Endpoints:
- Production: https://api.juspay.in/payout/merchant/v1/orders/:orderId?expand=fulfillment,payment,refund

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:  Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
Pass merchant-id provided by Juspay
- Tags: string
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders/:orderId?expand=fulfillment%2Cpayment%2Crefund' \
--header 'Content-Type: application/json' \
--header 'x-routing-id: customer_1122'\
--header 'x-merchantid: <merchant id>' \
--header 'Authorization: Basic (b64 encoded API key)'

```

### Sample Response:

#### FULFILLMENTS_SCHEDULED (Response - 200 for IMPS Payout):
```json
{
    "updatedAt": "2023-12-27T09:45:38Z",
    "udf5": "udf5",
    "udf4": "udf4",
    "udf3": "udf3",
    "udf2": "udf2",
    "udf1": "udf1",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SCHEDULED",
    "refunds": [],
    "payments": [],
    "orderId": "1703670338",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T09:45:38Z",
            "udf5": "String5",
            "udf4": "String4",
            "udf3": "String3",
            "udf2": "String2",
            "udf1": "String1",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T09:45:38Z",
                    "transactionRef": "3d9fc265e12488f999c92e7b40589d",
                    "timeStamp": "2023-12-27T09:45:38Z",
                    "status": "INITIATED",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "createdAt": "2023-12-27T09:45:38Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2023-12-27T09:45:38Z",
            "status": "PENDING",
            "preferredMethodList": [
                "DUMMY_IMPS"
            ],
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "f46f9b8d843416e8c746c3e306a5f4-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T09:45:38Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 1,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T09:45:38Z",
    "amount": 1
}

```

#### FULFILLMENTS_SUCCESSFUL (Response - 200 for IMPS Payout):
```json
{
    "updatedAt": "2023-12-27T09:47:54Z",
    "udf5": "udf5",
    "udf4": "udf4",
    "udf3": "udf3",
    "udf2": "udf2",
    "udf1": "udf1",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SUCCESSFUL",
    "refunds": [],
    "payments": [],
    "orderId": "1703670338",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T09:47:54Z",
            "udf5": "String5",
            "udf4": "String4",
            "udf3": "String3",
            "udf2": "String2",
            "udf1": "String1",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T09:47:44Z",
                    "txnResponse": {
                        "status": "SUCCESS",
                        "requestId": "3d9fc265e12488f999c92e7b40589d",
                        "amount": 1
                    },
                    "transactionRef": "3d9fc265e12488f999c92e7b40589d",
                    "timeStamp": "2023-12-27T09:47:44Z",
                    "status": "SUCCESS",
                    "responseMessage": "Amount Lies In Success Range.",
                    "responseCode": "SUCCESS",
                    "gatewayRefId": "3d9fc265e12488f999c92e7b40589d",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "epgTxnId": "3d9fc265e12488f999c92e7b40589d",
                    "createdAt": "2023-12-27T09:45:38Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2023-12-27T09:47:54Z",
            "status": "SUCCESS",
            "preferredMethodList": [
                "DUMMY_IMPS"
            ],
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "f46f9b8d843416e8c746c3e306a5f4-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T09:45:38Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 1,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T09:45:38Z",
    "amount": 1
}

```

#### FULFILLMENTS_MANUAL_REVIEW (Response - 200 for IMPS Payout):
```JSON
{
    "updatedAt": "2023-12-27T12:19:38Z",
    "udf5": "udf5",
    "udf4": "udf4",
    "udf3": "udf3",
    "udf2": "udf2",
    "udf1": "udf1",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_MANUAL_REVIEW",
    "refunds": [],
    "payments": [],
    "orderId": "1703679080",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T12:19:38Z",
            "udf5": "String5",
            "udf4": "String4",
            "udf3": "String3",
            "udf2": "String2",
            "udf1": "String1",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T12:19:23Z",
                    "txnResponse": {
                        "status": "PENDING",
                        "requestId": "7cad5ae77f44b37b252dd0b0a4e678",
                        "amount": 21
                    },
                    "transactionRef": "7cad5ae77f44b37b252dd0b0a4e678",
                    "timeStamp": "2023-12-27T12:19:23Z",
                    "status": "INITIATED",
                    "gatewayRefId": "7cad5ae77f44b37b252dd0b0a4e678",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "createdAt": "2023-12-27T12:16:30Z",
                    "amount": 21
                }
            ],
            "statusUpdatedAt": "2023-12-27T12:19:38Z",
            "status": "MANUAL_REVIEW",
            "preferredMethodList": [
                "DUMMY_IMPS"
            ],
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "c712639d4624864b7ab47e9ba0ded7-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T12:11:21Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 21,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T12:11:20Z",
    "amount": 21
}

```

#### FULFILLMENTS_FAILURE (Response - 200 for IMPS Payout):
```json
{
    "updatedAt": "2023-12-27T12:24:28Z",
    "udf5": "udf5",
    "udf4": "udf4",
    "udf3": "udf3",
    "udf2": "udf2",
    "udf1": "udf1",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_FAILURE",
    "refunds": [],
    "payments": [],
    "orderId": "1703679781",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T12:24:28Z",
            "udf5": "String5",
            "udf4": "String4",
            "udf3": "String3",
            "udf2": "String2",
            "udf1": "String1",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T12:24:06Z",
                    "txnResponse": {
                        "status": "FAILURE",
                        "requestId": "665d82f25ca46d0b759e420ee4101f",
                        "amount": 104
                    },
                    "transactionRef": "665d82f25ca46d0b759e420ee4101f",
                    "timeStamp": "2023-12-27T12:24:06Z",
                    "status": "FAILURE",
                    "responseMessage": "Amount Lies In Failure Range.",
                    "responseCode": "FAILURE",
                    "gatewayRefId": "665d82f25ca46d0b759e420ee4101f",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "epgTxnId": "665d82f25ca46d0b759e420ee4101f",
                    "createdAt": "2023-12-27T12:23:01Z",
                    "amount": 104
                }
            ],
            "statusUpdatedAt": "2023-12-27T12:24:28Z",
            "status": "FAILURE",
            "preferredMethodList": [
                "DUMMY_IMPS"
            ],
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "bbeef26a7b64a73813c2b7b9db7ef2-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T12:23:01Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 104,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T12:23:01Z",
    "amount": 104
}

```

## Query Parameters:

#### expand:
fulfillment, payment, refund based on requirement.
- Tags: string
## API Responses:
### 200:

#### 200: Response Body:
- Tags: Object

#### updatedAt:
- Description: Timestamp at which order details were updated
- Tags: String

#### udf1-5:
- Description: Order level user defined fields passed in order create by the merchant
- Tags: String

#### status:
- Description: Current status of the order
- Tags: String

#### orderId:
- Description: Order ID passed by merchant in create order request
- Tags: String

#### fulfillments:
- Value:
  - **UpdatedAt**:
    - Description: Timestamp at which fulfillment details were updated
    - Tags: String
  - **Udf1-5**:
    - Description: Fulfillment level user defined fields passed by merchant
    - Tags: String
  - **Transactions**:
    - Value:
      - **UpdatedAt**:
        - Description: Timestamp at which transaction details were udpated
        - Tags: String
      - **TransactionRef**:
        - Description: Reference ID assigned by Juspay for attempting the transaction
        - Tags: String
      - **Status**:
        - Description: Current status of transaction created by the order
        - Tags: String
      - **FulfillmentMethod**:
        - Description: Combination of Gateway and Rail via which transaction is being attempted
        - Tags: String
      - **CreatedAt**:
        - Description: Timestamp at which transaction was created at Juspay end
        - Tags: String
      - **Amount**:
        - Description: Amount of payout being attempted
        - Tags: String
    - Tags: Object
  - **StatusUpdatedAt**:
    - Description: Timestamp at which fulfillment order status was last updated
    - Tags: String
  - **Status**:
    - Description: Current status of the fulfillment
    - Tags: String
  - **PreferredMethodList**:
    - Description: Preferred gateways passed by merchant in create order request
    - Tags: Array of Strings
  - **MerchantCustomerId**:
    - Description: Customer ID passed by merchant in create order request
    - Tags: String
  - **Id**:
    - Description: Fulfillment ID created by Juspay for the order
    - Tags: String
  - **FulfillmentMethodList**:
    - Description: Gateways selected to attempt the fulfillment on. This will be combination of preferredMethodList and priority logic
    - Tags: Array Of Strings
  - **CreatedAt**:
    - Description: Timestamp at which fulfillment was created
    - Tags: String
  - **BeneficiaryDetails**:
    - Description: Beneficiary details passed by merchant in create order request
    - Tags: String
  - **Type**:
    - Description: Payout type passed in create order request
    - Tags: String
  - **Amount**:
    - Description: Fulfillment amount passed by the merchant
    - Tags: String
  - **AdditionalInfo**:
    - Description: Additional information included by merchant in create order request
    - Tags: String
- Tags: Object
